Groovy Documentation

## org.codehaus.groovy.grails.commons.cfg
[Groovy] Class ConfigurationHelper

    java.lang.Object
      org.codehaus.groovy.grails.commons.cfg.ConfigurationHelper

    class ConfigurationHelper

Helper methods for initialising config object.

Authors:
  Graeme Rocher

Since:
  1.0

Method Summary
`static void` | `initConfig(groovy.util.ConfigObject config, ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)` Loads external configuration and merges with ConfigObject
`static groovy.util.ConfigObject` | `loadConfigFromClasspath(GrailsApplication application = null)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### initConfig

    static void initConfig(groovy.util.ConfigObject config, ResourceLoader resourceLoader = null, java.lang.ClassLoader classLoader = null)

  Loads external configuration and merges with ConfigObject

### loadConfigFromClasspath

    static groovy.util.ConfigObject loadConfigFromClasspath(GrailsApplication application = null)

Groovy Documentation